Release Notes
Also available as:
PDF

Component Differences between HDP and IOP

When you upgrade from IOP 4.2.5 to HDP 2.6.2, the configuration of available components and features will differ slightly. Below are:

  • The components that are available in HDP 2.6.2 that were not available in IOP 4.2.5.

  • The components in both IOP 4.2.5 and HDP 2.6.2 that are upgraded to a newer version in HDP.

  • The components that are the same version for both IOP 4.2.5 and HDP 2.6.2.

  • The components in both IOP 4.2.5 and HDP 2.6.2 that are downgraded to an older version in HDP.

  • The components that were previously available in IOP but are no longer available after the upgrade.

New Components for IOP Users

These components are available to IOP users after upgrading to HDP 2.6.2:

  • Atlas 0.8.0

  • Avatica 1.8.0

  • Calcite 1.2.0

  • Calcite_hive 2 1.10.0

  • Datafu 1.3.0

  • Hive2 2.1.0

  • Storm 1.1.0

  • Tez 0.7.0

  • Tez_Hive2 0.8.4

  • Zeppelin 0.7.0

Upgraded Components for IOP Users

These components are upgraded to a newer version for IOP users after upgrading to HDP 2.6.2:

  • Ambari

    • HDP: 2.5.2

    • IOP: 2.2.0

  • Hive

    • HDP: 1.2.1000

    • IOP: 1.2.1

  • Knox

    • HDP: 0.12.1

    • IOP: 0.11

  • Ranger

    • HDP: 0.7.0

    • IOP: 0.6.2

  • Slider

    • HDP: 0.92.0

    • IOP: 0.90.2

  • Spark

    • HDP: 1.6.3

    • IOP: 1.6.1

  • Spark2

    • HDP: 2.1.1

    • IOP: 2.1.0

Identical Components for IOP Users

These components are the same version in both IOP 4.2.5 and HDP 2.6.2:

  • Hadoop 2.7.3

  • Kafka 0.10.1.0

  • Pig 0.16.0

  • Sqoop 1.4.6

  • Solr 6.3 (mgmt pack)

Downgraded Components for IOP Users

These components are downgraded to an older version for IOP users after upgrading to HDP 2.6.2:

  • Flume

    • HDP: 1.5.2

    • IOP: 1.7.0

  • HBase

    • HDP: 1.1.2

    • IOP: 1.2.4

  • Oozie

    • HDP: 4.2.0

    • IOP: 4.3.0

  • Phoenix

    • HDP: 4.7.0

    • IOP: 4.8.1

Features that are New for IOP Users

These features and were not previously supported in HDP 2.6.1 but are now available to IOP users after upgrading to HDP 2.6.2.

Added 1.7.x Features to Flume 1.5.2:

[Tip]Tip

See the Apache Flume Component Guide for more details and access to the Flume 1.5.2 User Guide and Developer Guide.

Features No Longer Available for IOP Users

These components were previously supported in IOP 4.2.5 but are no longer available to IOP users after upgrading to HDP 2.6.2.

  • TITAN

  • R4ML

  • SYSTEMML

  • JNBG

These features were previously supported in IOP 4.2.5 but are no longer available to IOP users after upgrading to HDP 2.6.2:

  • SwiftFS support

  • CMX Compression library

  • Knox Proxy for UI

  • Ambari Quick Links for UI based on Knox Proxy